#### D.2.12.21 hasAlgExtensionCoefficient

Procedure from library `ring.lib` (see ring_lib).

Usage:
  hasAlgExtensionCoefficient ( rng );

Return:
  1 if the coefficients are an algebraic extension, 0 otherwise.

Example:

    LIB "ring.lib";
    ring rng = integer,x,dp;
    hasAlgExtensionCoefficient(rng); //no
    ==> 0
    ring rng2 = (0,a), x, dp; minpoly=a2-1;
    hasAlgExtensionCoefficient(rng2);  // yes
    ==> 1
    ring rng3=(49,a),x,dp;
    hasAlgExtensionCoefficient(rng3);  // no
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.